/*
 * @author  xamidev <xamidev@riseup.net>
 * @brief   Common memory utilities
 * @license GPL-3.0-only
 */

#ifndef MEM_UTILS_H
#define MEM_UTILS_H

#include <stddef.h>
#include <limine.h>

void* memcpy(void* restrict dest, const void* restrict src, size_t n);
void* memset(void* s, int c, size_t n);
void* memmove(void *dest, const void* src, size_t n);
int memcmp(const void* s1, const void* s2, size_t n);

// DEBUG
void memmap_display(struct limine_memmap_response* response);
void hhdm_display(struct limine_hhdm_response* hhdm);

#endif